import { ICanvas, IDocument } from '../apis';
import { Control, TriggerControl } from '../core/control';
import { Vector2 } from '../utils/math';
export declare class Mouse {
    private canvas;
    private document;
    private pointerMovement;
    private pressedButtons;
    private queuedButtons;
    private scrollDistance;
    constructor({ canvas, doc }: {
        canvas: ICanvas;
        doc?: IDocument;
    });
    parseButton(button: string | number): number;
    button(button: string | number): TriggerControl<boolean>;
    pointer(): Control<Vector2>;
    wheel(): Control<number>;
    lockPointer(): void;
    unlockPointer(): void;
    isPointerLocked(): boolean;
}
